/*
 * ptyInt.h--
 *
 *   Header for the pty extension to tcl.
 *
 * Copyright (C) 1997
 *	Dr. Duncan McLennan Barclay.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY DUNCAN BARCLAY AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL DUNCAN BARCLAY OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: pty.h,v 1.6 1997/02/21 22:57:20 dmlb Exp $
 *
 */

#include <termios.h>

#define PTY_VERSION "1.0"

/*
 * Command procedures
 */
EXTERN int      ptyCmd _ANSI_ARGS_((
                  ClientData clientData, Tcl_Interp *interp,
                  int argc, char **argv));

/*
 * External procedures
 */
EXTERN Tcl_Channel      Tcl_OpenPtyChannel _ANSI_ARGS_((
                          Tcl_Interp *interp, char *command,
                          int login, char *term,
                          struct termios *termp, struct winsize *winp));
 
/*
 * Internal procedures
 */
EXTERN void    ptySavePrivs _ANSI_ARGS_((void));
EXTERN int     ptyGetPrivs _ANSI_ARGS_((void));
EXTERN int     ptyReleasePrivs _ANSI_ARGS_((void));
